PHP Manual
Prev |  | Next

# HaruDoc::setPageLayout

(no version information, might be only in CVS)

HaruDoc::setPageLayout -- Set how pages should be displayed

## Description

bool HaruDoc::setPageLayout ( int layout )

Defines how pages should be displayed.

## Parameters

`layout`

  The following values are accepted:

  `HaruDoc::PAGE_LAYOUT_SINGLE` - only one page is displayed.
  `HaruDoc::PAGE_LAYOUT_ONE_COLUMN` - display the pages in one column.
  `HaruDoc::PAGE_LAYOUT_TWO_COLUMN_LEFT` - display pages in two columns, first page left.
  `HaruDoc::PAGE_LAYOUT_TWO_COLUMN_RIGHT` - display pages in two columns, first page right.

## Return Values

Returns `TRUE` on success.

## Errors/Exceptions

Throws HaruException on error.

## See Also

HaruDoc::getPageLayout()

Prev | Home | Next
HaruDoc::setOpenAction | Up | HaruDoc::setPageMode